curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/places \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"query": "Paris",
"types": [
"City"
],
"countries": [
"FR"
]
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/places"
payload = {
"query": "Paris",
"types": ["City"],
"countries": ["FR"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'Paris', types: ['City'], countries: ['FR']})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/places', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "2C1E8B",
"name": "Paris",
"description": "Paris is the capital city of France, located in the Ile-de-France region.",
"category": "Location",
"type": "City",
"continent": "Europe",
"country": "FR",
"region": "Ile-de-France Region",
"alternative_name": "Paris, Ile-de-France Region, France"
}
],
"metadata": {
"request_id": "2a25111e-0043-4fe2-946e-668aa5af928a",
"timestamp": "2026-07-02T13:24:45.163695+00:00"
},
"usage": {
"knowledge_graph_tokens": 1
}
}Find by details
Find places such as countries, regions, cities and facilities. Search by name or description and narrow the results by category, type, continent, country or region.
Authorizations
Body
Request body for finding places. Each field is optional. However, you must provide at least one field to perform a valid search. The values a filter accepts can be listed with GET /v1/knowledge-graph/places/values/{filter}.
Text query to search for places by name or description. Examples: 'Paris', 'Silicon Valley'
"Paris"
Place categories, as published in the category field of results (e.g., 'Location', 'Facility')
["Location"]
Place types, as published in the type field of results (e.g., 'City', 'Region', 'Facility')
["City"]
Continents, as published in the continent field of results (e.g., 'Europe')
["Europe"]
Country codes using the ISO 3166-1 A-2 format (e.g., 'US' for United States, 'FR' for France, 'GB' for Great Britain)
^[A-Z]{2}$["FR"]
Regions, as published in the region field of results (e.g., 'Ile-de-France Region'). Region names are long and vary by country, so list them with GET /v1/knowledge-graph/places/values/regions rather than constructing them
["Ile-de-France Region"]
Response
Successful response with places data
Was this page helpful?